# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, tup, pkgconfig }:

stdenv.mkDerivation rec {
  pname = "block_router";
  version = "0.1.0";

  nativeBuildInputs = [ tup pkgconfig ];

  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/block_router";
    rev = "v" + version;
    sha256 = "00i27wqwp5a8dnig79r53kcz2v7a94ih1qshwqzzpqfmp4lj61p2";
  };

  configurePhase = ''
    # Scan repository and generate script
    tup init
    tup generate buildPhase.sh
  '';

  buildPhase = ''
    pushd .
    set -v
    source buildPhase.sh
    set +v
    popd
  '';

  installPhase = "install -Dm755 {.,$out}/block_router";

  meta = with stdenv.lib; {
    license = licenses.agpl3;
    maintainers = [ maintainers.ehmry ];
  };

}
